import { jsx } from "react/jsx-runtime";
import { RugIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Rug = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Rug", ...props, children: /* @__PURE__ */ jsx(RugIcon, { weight: variant }) });
  }
);
Rug.displayName = "Rug";
Object.assign(Rug, { isGdsIcon: true });
export {
  Rug
};
